Bug 748557 - RHQ UI contains scroll areas that are too small to render scroll bars
RHQ UI contains scroll areas that are too small to render scroll bars
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
Unspecified Unspecified
medium Severity urgent (vote)
: ---
: ---
Assigned To: Mike Thompson
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-24 15:52 EDT by Larry O'Leary
Modified: 2014-06-26 18:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen-shot of browser window showing small scroll area (240.86 KB, image/png)
2011-10-24 15:52 EDT, Larry O'Leary
no flags Details
System Config as 4x zoom (246.78 KB, image/png)
2011-10-25 10:44 EDT, Larry O'Leary
no flags Details

  None (edit)
Description Larry O'Leary 2011-10-24 15:52:58 EDT
Created attachment 529958 [details]
Screen-shot of browser window showing small scroll area

Description of problem:
When navigating to Administration >> Configuration >> System Settings, I can see Server Details section followed by a drop-down that is labeled "Jump to Section", followed by part of a control that says "General Configuration Properties" with a scroll-up scroll-bar button on the very right of the control. No other controls or configuration options are present. The Save button appears but there is no way of navigating/changing configuration options.


How reproducible:
Always

Steps to Reproduce:
1. Set screen resolution to Nx1080
2. Set browser zoom level to +5
2. Navigate to the System Settings page (Admin >> Config >> System Settings)
  
Actual results:
Unable to set options/view configuration due to scroll area too small

Expected results:
Able to change and view configuration 

Additional info:
Here is a list of alternatives to get around this issue:
 - higher screen resolution
 - bigger monitor/display
 - better eye-sight
 - Maximize browser window

Which most are unacceptable.

The attached screen-shot was produced from Firefox 3.6.23
Comment 1 Charles Crouch 2011-10-24 23:43:32 EDT
I agree this is not great. I'm wondering how much larger the scroll area is if the browser zoom level is reduced so the webpage text is the same size as the rest of the text on the screen, e.g. matching the text in the url bar.

If maximizing the browser window helps, then that doesn't sound like a bad workaround.
Comment 2 Larry O'Leary 2011-10-25 10:44:29 EDT
Created attachment 530110 [details]
System Config as 4x zoom

The closest match is Zoom Level 4 and it does expose three lines of configuration and makes the scroll-bar usable. However, keep in mind that this is in a maximized window with only one tool bar visible with a horizontal resolution of 1080. Whereas the industry recommendation for supported horizontal resolution is 768 and HD resolution of 720.

Bottom line, to make this usable by a wider audience and on a server class machine with a standard def monitor and a VESA resolution, this needs to be fixed.
Comment 3 Heiko W. Rupp 2013-12-07 10:00:08 EST
What's the status here? I don't think we have those today.
Comment 4 Larry O'Leary 2014-06-26 18:52:13 EDT
This is still a problem in RHQ 4.9/JON 3.2

Note You need to log in before you can comment on or make changes to this bug.